Bug 1126206 - [RFE] Use one instance of IOProcess per SD
Summary: [RFE] Use one instance of IOProcess per SD
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm
Version: 3.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ovirt-3.6.0-rc
: 3.6.0
Assignee: Oved Ourfali
QA Contact: Pavol Brilla
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-03 15:18 UTC by Yeela Kaplan
Modified: 2016-03-09 19:23 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
File-type storage domains now use separate IOProcess instances. This improves performance, and prevents one slow or unreachable storage domain from affecting other storage domains.
Clone Of:
Environment:
Last Closed: 2016-03-09 19:23:43 UTC
oVirt Team: Infra
sherold: Triaged+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:0362 normal SHIPPED_LIVE vdsm 3.6.0 bug fix and enhancement update 2016-03-09 23:49:32 UTC
oVirt gerrit 31501 master MERGED oop: Use a single instance of IOProcess per SD Never
oVirt gerrit 36953 ovirt-3.5 MERGED oop: Use a single instance of IOProcess per SD Never

Description Yeela Kaplan 2014-08-03 15:18:34 UTC
Description of problem:
In ovirt3.5 we moved from the use of remoteFileHandlers to use IOProcess for NFS. It was implemented so that we used one instance of IOProcess for all storage domains.
We want to change it so each storage domain will have its own instance of IOProcess.

Comment 1 Nir Soffer 2014-10-30 07:44:28 UTC
(In reply to Yeela Kaplan from comment #0)
> We want to change it so each storage domain will have its own instance of
> IOProcess.

Why?

Comment 2 Yeela Kaplan 2014-11-04 09:49:11 UTC
This feature will eliminate the dependency between the different storage domains.

When different SDs use a single IOProcess, one non-responsive SD will affect all others, as it might take up all available IOProcess threads.

Now that each domain has its own IOProcess instance, it will not affect any of the other domains.

Comment 3 Pavel Novotny 2015-03-16 17:18:15 UTC
Yeela, can you please provide steps for verification for QA or this is more of internal code change? Thanks

Comment 4 Yeela Kaplan 2015-03-18 15:11:02 UTC
When running vdsm with several file SDs you'll be able to see that you have a separate process (IOProcess instance) for each storage domain (+ the global IOProcess instance of course).

Vs before when you had a single IOProcess instance for all file SDs.

Comment 6 Pavol Brilla 2016-01-07 13:59:26 UTC
verified  on

[root@slot-10 admin]# rpm -q vdsm
vdsm-4.17.12-0.el7ev.noarch


When new SD attached to engine new IOProcess spawned on host

Comment 9 Pavol Brilla 2016-02-09 09:08:43 UTC
verified for power, 4 SD +1 Global = 5 IOProcess  visible on host

vdsm-4.17.19-0.el7ev.noarch 
ibm-p8-rhevm-FQDN  3.10.0-327.10.1.el7.ppc64le

Comment 11 errata-xmlrpc 2016-03-09 19:23:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-0362.html


Note You need to log in before you can comment on or make changes to this bug.